## numcodecs 0.16.5+ds

=== debian/changelog ===
numcodecs (0.16.5+ds-3) unstable; urgency=medium

  * debian/control:
    - Add dependency on python3-backports.zstd.
  * debian/rules:
    - Re-enable tests against zstd.
  * debian/patches:
    - New 0008-Prefer-zstd-from-stdlib.patch.
    - New 0009-No-crc32c-warnings.patch (Closes: #1127764).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 15 Feb 2026 09:51:09 +0000

numcodecs (0.16.5+ds-2) unstable; urgency=medium

  * Team Upload
  * Stop testing against to-be-removed python3-pyzstd,
    numcodes is the very last user left.
    Packages should use python3-backports.zstd instead.
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Feb 2026 18:11:07 +0100

numcodecs (0.16.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Nov 2025 10:01:29 +0000
