=== debian/control ===
Source: numcodecs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-numpy3,
               dh-sequence-sphinxdoc,
               cython3,
               libblosc-dev,
               liblz4-dev,
               libzstd-dev,
               py-cpuinfo,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-backports.zstd <!nocheck>,
               python3-crc32c,
               python3-deprecated,
               python3-importlib-metadata <!nocheck>,
               python3-msgpack,
               python3-numpy,
               python3-numpydoc,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-issues <!nodoc>,
               python3-typing-extensions,
               python3-zfpy,
               zlib1g-dev,
               zstd <!nocheck>
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
Homepage: https://github.com/zarr-developers/numcodecs

Package: python3-numcodecs
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         python3-pydata-sphinx-theme,
         python3-typing-extensions
Recommends: python3-crc32c,
            python3-msgpack,
            python3-pytest,
            python3-zfpy
Suggests: www-browser
Description: buffer compression and transformation codecs for Python
 Numcodecs is a Python package providing buffer compression and
 transformation codecs for use in data storage and communication
 applications. These include:
 .
   - Compression codecs, e.g., Zlib, BZ2, LZMA and Blosc.
   - Pre-compression filters, e.g., Delta, Quantize, FixedScaleOffset,
     PackBits, Categorize.
   - Integrity checks, e.g., CRC32, Adler32.
 .
 All codecs implement the same API, allowing codecs to be organized into
 pipelines in a variety of ways.
